# $Revision: 1.14 $, $Date: 2005/03/24 22:39:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	ExtUtils
%define		pnam	PkgConfig
Summary:	ExtUtils::PkgConfig - simplistic interface to pkg-config
Summary(pl):	ExtUtils::PkgConfig - prosty interfejs do pkg-config
Name:		perl-ExtUtils-PkgConfig
Version:	1.07
Release:	1
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a8cf945d09c6458cb27228218e9a2f45
URL:		http://gtk2-perl.sf.net/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	pkgconfig
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ExtUtils::PkgConfig is a very simplistic interface to pkg-config
utility.

%description -l pl
ExtUtils::PkgConfig jest bardzo prostym interfejsem do narzdzia
pkg-config.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/ExtUtils/PkgConfig.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-ExtUtils-PkgConfig.spec,v $
Revision 1.14  2005/03/24 22:39:44  freetz
- 1.07

Revision 1.13  2004/11/03 22:30:20  paladine
- formatting

Revision 1.12  2004/10/11 20:28:22  freetz
- 1.06

Revision 1.11  2004/07/25 21:38:19  freetz
- 1.05

Revision 1.10  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.9  2004/05/06 18:43:10  ankry
- fixed perl-devel BR

Revision 1.8  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.7  2004/02/12 22:42:13  freetz
- up to 1.03

Revision 1.6  2003/11/28 15:10:32  freetz
- up to 1.02

Revision 1.5  2003/10/25 12:50:17  freetz
- removed redundant Rs

Revision 1.4  2003/10/24 21:41:04  freetz
- more BR

Revision 1.3  2003/10/17 19:11:46  qboosh
- R: pkgconfig, new-style bcond

Revision 1.2  2003/10/13 08:05:56  qboosh
- typo in BR, noarch

Revision 1.1  2003/10/10 22:01:18  freetz
- initial PLD release
